Bug 443303 - Review Request: notification-daemon-engine-nodoka
Review Request: notification-daemon-engine-nodoka
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-20 09:14 EDT by Martin Sourada
Modified: 2008-06-03 03:33 EDT (History)
2 users (show)

See Also:
Fixed In Version: 0.1.0-2.fc9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-21 07:00:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mclasen: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Martin Sourada 2008-04-20 09:14:15 EDT
Spec URL: http://mso.fedorapeople.org/packages/SPECS/notification-daemon-engine-nodoka.spec
SRPM URL: http://mso.fedorapeople.org/packages/SRPMS/notification-daemon-engine-nodoka-0.1.0-1.fc9.src.rpm
Description: The Nodoka theme engine/theme for the notification daemon

Additional info: I am also upstream for this package. To enable the engine (e.g. for testing purposes) one needs to set gconf key "/apps/notification-daemon/theme" to "nodoka".
Comment 1 Matthias Clasen 2008-05-16 08:20:38 EDT
Taking this. 

First note: due to defective libsexy requires, it needs a 

BuildRequires: libxml2-devel

see bug 446842
Comment 2 Matthias Clasen 2008-05-16 08:21:52 EDT
With that fix, it builds fine, and rpmlint has nothing to complain in the
generated packages.
Comment 3 Matthias Clasen 2008-05-16 08:27:05 EDT
it seems to work fine, we just need to work out where to set the gconf key
/apps/notification-daemon/theme to enable this by default.

Formal review in a bit, when I get to the office.
Comment 4 Matthias Clasen 2008-05-16 11:05:42 EDT
formal review:

package name: ok
spec file name: ok
packaging guidelines: ok
license: ok
license field: ok
license file: ok
spec file language: ok
spec file legible: extremely
buildable: yes
ExcludeArch: n/a
upstream sources: ok
BuildRequires: need to add libxml2-devel
locale handling: n/a
ldconfig: ok
relocatable: n/a
directory ownership: ok
duplicate files: ok
file permissions: ok
%clean: ok
macro use: consistent
content: permissible
large docs: n/a
%doc: ok
headers: ok
static libs: ok
pc files: ok
shared libs: ok
devel package: n/a
la files: ok
gui apps: ok
directory ownership: ok
%install: ok
utf8 filenames: ok


Summary, fix the BuildRequires, then it is fine. 
Comment 6 Matthias Clasen 2008-05-16 14:11:02 EDT
Approved. One thing we need to figure out is how to make sure that users get
this theme. We can probably patch the default gconf value in notification-daemon
for now, but longer-term it would be nicer if the metatheme spec had a field for
notification themes, and the appearance capplet handled it
Comment 7 Martin Sourada 2008-05-16 18:17:12 EDT
(In reply to comment #6)
> Approved. One thing we need to figure out is how to make sure that users get
> this theme. We can probably patch the default gconf value in notification-daemon
> for now, but longer-term it would be nicer if the metatheme spec had a field for
> notification themes, and the appearance capplet handled it

Yeah, that would be nice. I was playing with a thought of making a simple app
for selecting notification-daemon engine, but having it in the appearance
capplet (and metatheme) would be better. Perhaps would be good to consult it
with the notification-daemon developer(s) as well :)
Comment 8 Martin Sourada 2008-05-16 18:21:58 EDT
New Package CVS Request
=======================
Package Name: notification-daemon-engine-nodoka
Short Description: Nodoka Notificaton Daemon Engine
Owners: mso
Branches: F-8, F-9
InitialCC: 
Cvsextras Commits: yes
Comment 9 Kevin Fenzi 2008-05-17 16:35:36 EDT
cvs done.
Comment 10 Fedora Update System 2008-05-17 19:28:31 EDT
notification-daemon-engine-nodoka-0.1.0-2.fc9 has been submitted as an update for Fedora 9
Comment 11 Fedora Update System 2008-05-17 19:31:04 EDT
notification-daemon-engine-nodoka-0.1.0-2.fc8 has been submitted as an update for Fedora 8
Comment 12 Martin Sourada 2008-05-20 09:44:17 EDT
It should be available in rawhide by now. Closing.
Comment 13 Fedora Update System 2008-05-21 07:00:43 EDT
notification-daemon-engine-nodoka-0.1.0-2.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2008-06-03 03:33:42 EDT
notification-daemon-engine-nodoka-0.1.0-2.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.